Balance Inquiry API
Retrieves a member's Money and Points balance.
API Information
POST/v1/wallet/balance
Content-Type
application/json테스트
https://tb-mps-api.hectofinancial.co.kr/v1/wallet/balance운영
https://mps-api.hectofinancial.co.kr/v1/wallet/balanceNOTE
Pre-Call Required
Before making other API requests, call this API to confirm the Money balance, Points balance, and pending Money balance values.
Request Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└custNoAN(20)Alphanumeric, up to 20 bytes*Prepaid member number.
Prepaid member number.
*Unique prepaid member number assigned by Hecto Financial.
└ciAN(255)Alphanumeric, up to 255 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Member CI value.Member CI value.
*Customer's unique CI value. AES-256/ECB/PKCS5Padding encryption, then Base64 encoding required.
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└rsltCdAN(4)Alphanumeric, up to 4 bytes*Result code.
0000Result code.
0000: Success Other: Failure└rsltMsgAN(200)Alphanumeric, up to 200 bytes*Result message.
SuccessResult message.
rsltObj (Response Object)
└custNoAN(20)Alphanumeric, up to 20 bytes*Prepaid member number.
2400001605Prepaid member number.
└custDivCdAN(1)Alphanumeric, up to 1 bytes*Customer division code.
Customer division code.
0: Anonymous 1: Named└chrgblAmtN(7)Numeric, up to 7 bytes*Available top-up amount.
500000Available top-up amount.
*Maximum additional Money that can be topped up at the time of inquiry.
└mnyBlcN(7)Numeric, up to 7 bytes*Money balance.
1500000Money balance.
└pntBlcN(7)Numeric, up to 7 bytes*Points balance.
1000Points balance.
└waitMnyBlcN(7)Numeric, up to 7 bytes*Pending Money balance.
0Pending Money balance.
*Money in pending state generated due to a spend void.
└expMnyBlcN(7)Numeric, up to 7 bytes*Money expiring within 2 months.
0Money expiring within 2 months.
*Money validity period is 10 years.
Request Example
{
"custNo": "2400001605",
"ci": "AES-encrypted CI value"
}
Response Examples
Success
{
"rsltCd": "0000",
"rsltMsg": "Success",
"rsltObj": {
"custNo": "2400001605",
"custDivCd": "0",
"chrgblAmt": "500000",
"mnyBlc": "1500000",
"pntBlc": "1000",
"waitMnyBlc": "0",
"expMnyBlc": "0"
}
}
Failure
{
"rsltCd": "C-001",
"rsltMsg": "Member does not exist."
}
Need technical support?
Code Samples
HectoFinancial GitHub